Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Blewitt2016-04-21 11:09:49 +0000
committerGerrit Code Review @ Eclipse.org2016-05-05 09:24:14 +0000
commitf8e5b7db6b900634e7c00dd3b4700e5f2a0dcaed (patch)
treed495a976bb2f8a9107de83fe4efa54118bf69d49 /packages/org.eclipse.epp.package.rcp.product/epp.product
parent20ab6cc8a43d6e5f68ae700bf6ee402e5c28a95a (diff)
downloadorg.eclipse.epp.packages-f8e5b7db6b900634e7c00dd3b4700e5f2a0dcaed.tar.gz
org.eclipse.epp.packages-f8e5b7db6b900634e7c00dd3b4700e5f2a0dcaed.tar.xz
org.eclipse.epp.packages-f8e5b7db6b900634e7c00dd3b4700e5f2a0dcaed.zip
Bug 490341 - Enable StringDeduplication in EPP packages
There are a significant number of duplicated String instances in Eclipse, primarily from the extension registry and other XML based files. Using StringDeduplication will allow the underlying character arrays to be uniqued without requiring an explicit intern operation. Since StringDeduplication only works when the G1 garbage collector is used, enable this as well. Both G1 and StringDeduplication were added to OpenJDK in Java 8, and there is a minium for Java 8 to run the Eclipse IDE as well as the -Dosgi.requiredJavaVersion specified in these product files. All packages have this define this in their common section for Java VM arguments, *except* the Parallel package that uses OS-specific sections to define JVM arguments. Change-Id: I0af43c31b560a2240725b7dce89bba0cd004ef88 Signed-off-by: Alex Blewitt <alex.blewitt@gmail.com>
Diffstat (limited to 'packages/org.eclipse.epp.package.rcp.product/epp.product')
-rw-r--r--packages/org.eclipse.epp.package.rcp.product/epp.product2
1 files changed, 2 insertions, 0 deletions
diff --git a/packages/org.eclipse.epp.package.rcp.product/epp.product b/packages/org.eclipse.epp.package.rcp.product/epp.product
index 7aed15a0..608d45cd 100644
--- a/packages/org.eclipse.epp.package.rcp.product/epp.product
+++ b/packages/org.eclipse.epp.package.rcp.product/epp.product
@@ -20,6 +20,8 @@
<vmArgs>-Dosgi.requiredJavaVersion=1.8
-Xms256m
-Xmx1024m
+-XX:+UseG1GC
+-XX:+UseStringDeduplication
</vmArgs>
<vmArgsLin>
</vmArgsLin>

Back to the top